简介:
ScicosLab的最新版本为4.4.1

ScicosLab()原名,改名是为了避免与scilab的混乱。

安装:

1.rpm安装,安装tkdnd1-1.0-1.x86_64.rpm和,scicoslab-gtk-4.4.1-1.sl6.x86_64.rpm即可。在应用程序-教育下面可以启动。

2.源代码安装(4.3版本的)

在centos6.2下

下载scicoslab的源码包并解压。./configure .提示缺少tcl-8.4.so包。

下载tcl-8.4-.13-6.el5.i386.rpm

./configure –prefix=/opt/software/scicoslab –with-tcl-library=/opt/mathlib/tcl8.4/lib –with-tcl-include=/opt/mathlib/tcl8.4/include –with-tk-include=/opt/mathlib/tk8.4/include –with-tk-library=/opt/mathlib/tk8.4/lib CC=/opt/software/mpich2-gnu/bin/mpicc CXX=/opt/software/mpich2-gnu/bin/mpicxx F77=/opt/software/mpich2-gnu/bin/mpif77

提示缺少libgtkhtml 2.0,(若在4.4.1源代码下,此configure会抛出警告:TCL配置未定义)

也支持 autogen.sh安装,(4.4.1版本的)

报错:

automake,autoconfig 未找到

x window not found

tcl8.4 required

libgtkhtml-2.0 package

/bin/scilex 错误 (scicoslab与scilab有关,怀疑是scilab的一个依赖)

在centos6.4下尝试(ssh到集群中尝试,可能权限有问题)

编译tcl make时出现tclsh报错()

在虚拟机中打包centos6.4尝试:

报错 bin/scilex

 

 

 

 

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注

Captcha Code